Package org.apache.sysds.utils

# Class MLContextProxy

java.lang.Object
org.apache.sysds.utils.MLContextProxy

public class MLContextProxy extends Object
The purpose of this proxy is to shield systemds internals from direct access to MLContext which would try to load spark libraries and hence fail if these are not available. This indirection is much more efficient than catching NoClassDefFoundErrors for every access to MLContext (e.g., on each recompile).

## Constructor Summary

Constructors
Constructor
Description
`MLContextProxy()`

## Method Summary

Modifier and Type
Method
Description
`static MLContext`
`getActiveMLContext()`
`static MLContext`
`getActiveMLContextForAPI()`
`static boolean`
`isActive()`
`static void`
`setActive(boolean flag)`
`static void`
`setAppropriateVarsForRead(Expression source, String targetname)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MLContextProxy

public MLContextProxy()

## Method Details

### setActive

public static void setActive(boolean flag)

### isActive

public static boolean isActive()

### setAppropriateVarsForRead

public static void setAppropriateVarsForRead(Expression source, String targetname)

### getActiveMLContext

public static MLContext getActiveMLContext()

### getActiveMLContextForAPI

public static MLContext getActiveMLContextForAPI()